<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_Eshopsync
 * @author    Webkul Software Private Limited
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\SalesforceConnector\Model\Config\Source;

class Folder implements \Magento\Framework\Option\ArrayInterface
{
    
    protected $_data;
    protected $_helper;
    public function __construct(
        \Webkul\SalesforceConnector\Helper\Connection $helper,
        \Webkul\SalesforceConnector\Helper\Data $data
    ) {
        $this->_data = $data;
        $this->_helper = $helper;
    }
    public function toOptionArray()
    {
        $data = [];
            $conStatus = $this->_data->getConfigValue('general', 'connection_status');
        if ($conStatus) {
            $salesforceFolders = $this->_helper->_sfconfigData['folder'];
            if (isset($salesforceFolders) && !empty($salesforceFolders)) {
                foreach ($salesforceFolders as $folderId => $folderName) {
                   
                    array_push(
                        $data,
                        [
                                'id' => $folderId,
                                'name' => $folderName,
                            ]
                    );

                }
               
            } else {
               return [];
            }

        } else {
           return [];
        }
                return $data;
    }
}
