<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_Eshopsync
 * @author    Webkul Software Private Limited
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\SalesforceConnector\Model\Config\Source;

class RecordCon implements \Magento\Framework\Option\ArrayInterface
{
    
    protected $_data;
    protected $_helper;

    public function __construct(
        \Webkul\SalesforceConnector\Helper\Connection $helper,
        \Webkul\SalesforceConnector\Helper\Data $data
    ) {
        $this->_data = $data;
        $this->_helper = $helper;
    }
    public function toOptionArray()
    {
          $data = [];
        $conStatus = $this->_data->getConfigValue('general', 'connection_status');
        if ($conStatus) {
            $recordtypes = isset($this->_helper->_sfconfigData['ContactRecordType'])
            ? $this->_helper->_sfconfigData['ContactRecordType']
            : '';
            if (isset($recordtypes) && !empty($recordtypes)) {
                foreach ($recordtypes as $record) {
                    array_push(
                        $data,
                        [
                            'id' => $record['value'],
                            'name' => $record['text'],
                        ]
                    );

                }
            } else {
                return [];
            }

        } else {
          return [];
        }
        return $data;
    }
}
